.home {
  animation: fadeInDown 1200ms ease 1 normal forwards;
  
  > .page-content {
    display: flex;
    flex-flow: column wrap;
    width: 100%;

    @media screen and (min-width: 1000px) {
      flex-flow: row nowrap;
      width: 60%;
      max-width: 1000px;
      margin: auto;
      margin-top: 50px;
    }
  }
}

.home-column {
  display: block;
  flex: 1;
  width: 100%;

  @media screen and (min-width: 800px) {
    &:first-of-type {
      width: 25%;
    }

    &:nth-of-type(2) {
      width: 75%;
    }
  }
}

.home-title-container {
  padding: 25px 0;
  display: block;
  margin: auto;
  text-align: center;
  margin-top: 20px;
  font-family: $slab-serif;

  p {
    text-align: center;
    font-size: 24px;
    font-weight: 300;
  }

  .home-subtitle {
    font-size: 16px;
    font-weight: 400;
  }
}

.self-image {
  display: block;
  position: relative;
  margin: auto;
  border-radius: 50%;
  overflow: hidden;
  pointer-events: none;
  max-width: 300px;
  max-height: 300px;
  width: 70vw;
  height: 70vw;

  @media screen and (min-width: 1000px) {
    width: 300px;
    height: 300px;
  }
}

@keyframes fadeInDown {
  0% {
    opacity: 0;
    transform: translate3d(0, -10%, 0);
  }

  100% {
    opacity: 1;
    transform: none;
  }
}

.home-tabs {
  border-bottom: 1px solid rgba(0,0,0,0.25);
  width: 100%;
  text-align: center;
  padding-top: 40px;
  font-family: $slab-serif;
  margin-bottom: 0;

  li {
    list-style: none;
    margin: 0 20px;
    cursor: pointer;
    display: inline-block;
    padding: 0 5px;
    padding-bottom: 5px;

    &.current {
      border-bottom: 2px solid rgba(0,0,0,0.5);
    }
  }
}

.home-list-container {
  margin-top: 20px;
  width: 100%;
  margin: auto;

  @media screen and (min-width: 600px) {
    width: 400px;
    margin-top: 50px;
  }
}

.tab-content {
  display: none;

  &.current {
    display: block;
  }

  ul {
    list-style: none;
  }
}

.home-list-item {
  border-bottom: 1px solid rgba(0,0,0,0.15);
  color: #333;
  font-size: 14px;
  transition: background-color 250ms;
  display: flex;
  flex-flow: row wrap;
  position: relative;

  &:hover {
    background-color: rgba(0,0,0,0.05);
    cursor: pointer;

    .home-list-item-image {
      opacity: 1;
    }
  }

  a {
    font-size: 14px;
    text-decoration: none;
    color: #333;
    width: 100%;
    padding: 8px 10px;

    p {
      margin: 0;
    }
  }

  .home-list-item-image {
    height: 83px;
    width: 83px;
    position: absolute;
    overflow: hidden;
    pointer-events: none;
    top: 0;
    left: 0;
    opacity: 0.8;
    transition: opacity 300ms;
  }

  .home-list-item-title {
    font-size: 16px;
    font-weight: 500;

    a {
      font-size: 16px;
    }
  }

  .home-list-item-subtitle {
    font-size: 14px;
    font-weight: 400;
    font-family: $slab-serif;

    a {
      font-weight: 500;
    }
  }
}

.portfolio-list-item a {
  padding: 8px 10px 8px 100px;
}

.view-more {
  text-align: center;
  width: 100%;
  font-weight: 700;
  font-size: 12px;
  padding: 12px;
  font-family: $slab-serif;
  text-transform: uppercase;

  a {
    color: transparentize(#333,0.25);
    text-decoration: none;
    display: inline-block;
    position: relative;
    transition: color 300ms;

    span {
      font-size: 18px;
      position: absolute;
      top: -5px;
      right: -9px;
    }

    &:hover {
      color: #333;
    }
  }
}



/* ==============================================
   Social icons
   ============================================== */

$gitlab-color: #e24329;
$github-color: #000000;
$behance-color: #0683f1;
$linkedin-color: #0275b5;

/* Container for the social media icons. */
#contact-container {
  position: relative;
  text-align: center;

  a {
    text-decoration: none;

    &:hover {
      text-decoration: none;
    }
  }
}

.svg-container {
  position: absolute;
  top: 0;
  left: 0;
}

/* Container for each respective icon. */
.icon-container {
  height: 50px;
  width: 50px;
  margin: 30px 3px 30px 3px;
  padding: 2px;
  display: inline-block;
  transition: all 400ms ease-in-out;
  border-radius: 50%;
  background-color: transparent;
}

/* Styling for the icons. */
.icon {
  position: relative;
  transition: all 200ms ease-in-out;
  transition-delay: 200ms;
}

/* Styles specifically for the GitHub icon container. */
#gitlab-icon-container {
  box-shadow: inset 0 0 0 1px $gitlab-color;

  &:hover {
    box-shadow: inset 0 0 0 27px $gitlab-color;
  }

  &:hover svg {
    fill: #fff;
  }
}

/* Styles specifically for the GitHub icon container. */
#github-icon-container {
  box-shadow: inset 0 0 0 1px $github-color;

  &:hover {
    box-shadow: inset 0 0 0 27px $github-color;
  }

  &:hover svg {
    fill: #fff;
  }
}

/* Styles specifically for the Behance icon container. */
#behance-icon-container {
  box-shadow: inset 0 0 0 1px $behance-color;

  &:hover {
    box-shadow: inset 0 0 0 27px $behance-color;
  }

  &:hover svg {
    fill: #fff;
  }
}

/* Styles specifically for the LinkedIn icon container. */
#linkedin-icon-container {
  box-shadow: inset 0 0 0 1px $linkedin-color;

  &:hover {
    box-shadow: inset 0 0 0 27px $linkedin-color;
  }

  &:hover svg {
    fill: #fff;
  }
}

/* Styles for the GitLab icon. */
#gitlab-icon {
  fill: $gitlab-color;
  transform: translate(5px, 8px);
    -webkit-transform: translate(5px, 8px);
}

/* Styles for the GitHub icon. */
#github-icon {
  fill: $github-color;
  transform: translate(3px, 5px);
    -webkit-transform: translate(3px, 5px);
}

/* Styles for the Behance icon. */
#behance-icon {
  fill: $behance-color;
  transform: translate(3px, 5px);
    -webkit-transform: translate(3px, 5px);
}

/* Styles for the LinkedIn icon. */
#linkedin-icon {
  fill: $linkedin-color;
  transform: translate(4px, 4px);
    -webkit-transform: translate(4px, 4px);
}


/* Styling for the email container at the bottom of the page. */
#email {
  position: relative;
  margin: auto;
  text-align: center;

  a {
    font-size: 14px;
    font-weight: 200;
    color: #aaaab2;
    fill: #aaaab2;
    transition: all 400ms ease-in-out;

    &:hover {
      color: #000;
      fill: #000;
    }
  }
}

#email-icon {
  position: relative;
  top: 3px;
  padding-right: 2px;
  height: 15px;
  width: 20px;
}
